Get Functions by Unit
Endpoint used to get unit functions.
Request Example
Section titled “Request Example”curl --request GET \ --url https://chat.api.toolzz.com.br/api/v1/functions/unity/{id} \ --header 'Authorization: Bearer TOKEN_HERE'Response Example
Section titled “Response Example”{ "items": [ { "id": "uuid", "institutionId": "uuid", "userId": "uuid", "unityId": "uuid", "code": "string", "description": "string", "iconFileId": "uuid", "status": true, "name": "string", "pluginIcon": { "id": "uuid", "institutionId": "uuid", "type": "string", "fileName": "string", "internalStorageUrl": "string", "url": "string", "maskName": "string", "createdAt": "date", "updatedAt": "date", "extension": "string", "size": 123, "numberWords": null }, "color": "string", "outputs": [ { "required": false, "id": "uuid", "type": "string", "description": "string", "customFunctionId": "uuid", "property": "string" } ], "isActivated": true, "type": "string", "googleCalendarPlugin": [ { "id": "uuid", "googleId": "string", "calendarId": "string", "timezone": "string", "pluginId": "uuid", "notificationType": null, "notificationContentType": null, "notificationContent": null, "notificationDelayMs": 123, "notificationWaitForSpeech": 123, "createdAt": "date", "updatedAt": "date", "googleUser": { "name": "string", "given_name": "string", "family_name": "string", "picture": "string", "email": "string", "hd": "string" }, "googleToken": "string" } ], "discordPlugin": [], "telegramPlugin": [] } ], "pluginCount": 123, "activeCount": 123, "pluginLimit": 123}Request description
Section titled “Request description”Access Token
Section titled “Access Token”| Parameter | Type | Description | Required |
|---|---|---|---|
Authorization | String | Access token (“Bearer” must be before the token) | Yes |
URL Parameters
Section titled “URL Parameters”| Parameter | Type | Description | Required |
|---|---|---|---|
unityId | UUID | Unit unique identifier. | Yes |
Response description
Section titled “Response description”| Key | Type | Description |
|---|---|---|
items | Array | List of objects containing the plugins/functions. |
items[].id | UUID | Unique plugin identifier. |
items[].code | String | Source code or plugin integration reference. |
items[].description | String | Description of the business rule for activation. |
items[].status | Boolean | Availability status in the system. |
items[].name | String | Friendly name of the plugin. |
items[].pluginIcon | Object | Icon metadata (null if no custom icon). |
items[].outputs | Array | Definition of parameters and output variables. |
items[].isActivated | Boolean | Indicates if the plugin is currently turned on. |
items[].type | String | Plugin category (e.g., google-calendar or null). |
items[].googleCalendarPlugin | Array | List of Google Calendar integration settings. |
items[].googleCalendarPlugin[].googleUser | Object | Linked Google user profile data (name, email, photo). |
items[].googleCalendarPlugin[].googleToken | String | Access token for the Google API. |
items[].discordPlugin | Array | Specific settings for Discord integration. |
items[].telegramPlugin | Array | Specific settings for Telegram integration. |
pluginCount | Number | Total registered plugins. |
activeCount | Number | Total currently active plugins. |
pluginLimit | Number | Maximum limit of plugins allowed for the account. |
Security
Section titled “Security”To access this endpoint, it is necessary to send a valid access token through the authorization header (Authorization) of the request. Additionally, the API is protected by other security measures to safeguard user data.
To access your access token, follow these steps:
- Log in to the ToolzzAI platform
- Click on “Settings”
- Click on “Access Token”
- Copy the access token
